"""alter

Revision ID: 19d887929ae7
Revises: 19789aa5361c
Create Date: 2022-05-04 20:38:47.837599

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '19d887929ae7'
down_revision = '19789aa5361c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.pre_upgrade()
    with op.batch_alter_table('cascade_delete_parent', schema=None) as batch_op:
        batch_op.alter_column('name',
               existing_type=sa.INTEGER(),
               nullable=True)

    op.post_upgrade()
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.pre_downgrade()
    with op.batch_alter_table('cascade_delete_parent', schema=None) as batch_op:
        batch_op.alter_column('name',
               existing_type=sa.INTEGER(),
               nullable=False)

    op.post_downgrade()
    # ### end Alembic commands ###
